Subject: Re: [PATCH 02/18] streaming: drop the `open()` callback function

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 21 Nov 2025 07:32:00 +0100

On Wed, Nov 19, 2025 at 01:01:03PM -0600, Justin Tobler wrote:
> On 25/11/19 08:47AM, Patrick Steinhardt wrote:
> > Instead, drop the callback entirely and refactor `istream_source()` so
> > that we open the streams immediately. This unblocks a subsequent step,
> > where we'll also start to allocate the structure in the source-specific
> > logic.
> 
> Out of curiousity, is there any reason we would ever want to delay
> opening the source read stream? If not, then I agree it makes more sense
> to just open the stream at time of its initialization.

I could not find any reason -- it's not used anywhere in our tree, and I
couldn't think about why one would want this, either.

Patrick